datablock fxDTSBrickData(BrickZombieBoss_HoleSpawnData : BrickZombie_HoleSpawnData)
{
	brickFile = "Add-ons/Bot_Hole/8xSpawn.blb";
	subCategory = "Holes Bosses";
	uiName = "Zombie Boss Hole";
	holeBot = "ZombieBossHoleBot";
};

datablock PlayerData(ZombieBossHoleBot : ZombieHoleBot)
{
	maxdamage = 200;
};

function ZombieBossHoleBot::onAdd(%this,%obj)
{
	armor::onAdd(%this,%obj);
	%obj.playthread(1,"ArmReadyBoth");
	%obj.hDefaultThread = "ArmReadyBoth";
	//Appearance zombie
	%obj.llegColor =  "0 0.141 0.333 1";
	%obj.secondPackColor =  "0 0.435 0.831 1";
	%obj.lhand =  "0";
	%obj.hip =  "0";
	%obj.faceName =  "asciiTerror";
	%obj.rarmColor =  "0.593 0 0 1";
	%obj.hatColor =  "1 1 1 1";
	%obj.hipColor =  "0 0.141 0.333 1";
	%obj.chest =  "0";
	%obj.rarm =  "0";
	%obj.packColor =  "0.2 0 0.8 1";
	%obj.pack =  "0";
	%obj.decalName =  "AAA-None";
	%obj.larmColor =  "0.593 0 0 1";
	%obj.secondPack =  "0";
	%obj.larm =  "0";
	%obj.chestColor =  "0.75 0.75 0.75 1";
	%obj.accentColor =  "0.990 0.960 0 0.700";
	%obj.rhandColor =  "0.626 0.71 0.453 1";
	%obj.rleg =  "0";
	%obj.rlegColor =  "0 0.141 0.333 1";
	%obj.accent =  "1";
	%obj.headColor =  "0.626 0.71 0.453 1";
	%obj.rhand =  "0";
	%obj.lleg =  "0";
	%obj.lhandColor =  "0.626 0.71 0.453 1";
	%obj.hat =  "0";

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
	
	%obj.hIsInfected = 1;
	
	%obj.setScale("2 2 2");
}

function ZombieBossHoleBot::onBotLoop(%this,%obj)
{
	//BreakBrickTest(%obj);
	//schedule(%obj.getDatablock().hTickRate/2,0,BreakBrickTest,%obj);
}

function ZombieBossHoleBot::onBotFollow( %this, %obj, %targ )
{
	%pos1 = %obj.getPosition();
	%pos2 = %targ.getPosition();
	
	// echo( "Enaged @" SPC vectorDist( %pos1, %pos2 )*2 );
	// %obj.kill();
}

function ZombieBossHoleBot::onBotCollision( %this, %obj, %col, %normal, %speed )
{
	//Called once every second the object is colliding with something
	//Turn the enemy bot into a zombie if his health is low
	// return;
}

// this requires a package since it needs to affect every bot not just the zombie bot
package holeZombieBossPackage
{
	function armor::onCollision(%this,%obj,%col,%a,%b,%c,%d)
	{
		if( (%obj.hIsInfected || %obj.getDataBlock().getName() $= "ZombieBossHoleBot") && %obj.isHoleBot && %obj.getClassname() $= "AIPlayer" && getSimTime() > %obj.lastattacked)
		{	
			if(%col.isBot && checkHoleBotTeams(%obj,%col))
			{
				if( %col.getDamagePercent() >= 0.5 && %obj.getState() !$= "Dead" && %col.getState() !$= "Dead" )
				{
					if(%col.getDataBLock().getName() $= "ZombieBossHoleBot" && getRandom(0,1) || %col.zMarkedForDeath)
					{
						%col.zMarkedForDeath = 1;
						return;
					}

					holeZombieInfect(%obj,%col);
				}
				//%obj.lastattacked = getsimtime()+1000;
				//return;
			}
		}
		parent::onCollision(%this,%obj,%col,%a,%b,%c,%d);
	}
};
activatePackage(holeZombieBossPackage);